## pgplot 5.2-4

=== debian/changelog ===
pgplot (5.2-4) unstable; urgency=low

  * Trying to get section and distribution right.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 25 Mar 1998 03:44:24 -0700

pgplot (5.2-3) non-free; urgency=low

  * Changed section to math
  * Changed distribution to non-free 
  * Something in compiler changed so fPIC option won't work.
    no good for .so libraries anyway. Took it out.
  * Added symlink libpgplot.so.5 to libpgplot.so

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 31 Jan 1998 23:02:05 -0700

pgplot (5.2-2) unstable; urgency=low

  * Initial Release.
  * 5.2-1 never made it to the distribution, but some have it.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 16 Jan 1998 12:49:09 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:
