=== debian/control ===
Source: pgplot
Section: non-free/math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: pgplot
Architecture: any
Depends: ${shlibs:Depends}
Description: pgplot is a large subroutine library for plotting scientific data.
 Many routines are included in pgplot for viewing scientific data. Many 
 (about 70) output devices are supported.  2-D , 3-D , contour, image manipultion,
 etc. are well supported. Interactive routines are included. Both a C and a FORTRAN
 library are present. See http://astro.caltech.edu/~tjp/pgplot/ for more information.
